#include <reg51.h>
#include <stdio.h>

//Hubungan DT-51 LCMS dengan SPC DC NOTOR
#define S1      P1_B0       //P1.0 terhubung dgn S1  --  DC1 (Stop/_Run_)
#define S2      P1_B1       //P1.1 terhubung dgn S2      (CW/_CCW_)
#define S3      P1_B2       //P1.2 terhubung dgn S3  --  DC2 (Stop/_Run_)
#define S4      P1_B3       //P1.3 terhubung dgn S4      (CW/_CCW_)

void main (void)
{
    unsigned int i;
    //Inisialisasi
    S1=1;       //Motor DC1 : Stop
    S2=1;       //Motor DC1 : CW
    S3=1;       //Motor DC2 : Stop
    S4=1;       //Motor DC2 : CW

    while(1)
      {
        //Jalankan Motor DC1 searah jarum jam
        S2=1;           //Motor DC1 : CW
        S1=0;           //Motor DC1 : Run
        _wait_ms(1000);
        S1=1;           //Motor DC1 : Stop
        _wait_ms(1000);

        //Jalankan Motor DC1 berlawanan arah jarum jam
        S2=0;           //Motor DC1 : CCW
        S1=0;           //Motor DC1 : Run
        _wait_ms(1000);
        S1=1;           //Motor DC1 : Stop
        _wait_ms(1000);

        //Jalankan Motor DC1 searah jarum jam (PWM 50%)
        S2=1;           //Motor DC1 : CW
        for (i=0; i<500; i++)
          {
            S1=0;
            _wait_ms(1);    //Frekuensi : 1 kHz
            S1=1;
            _wait_ms(1);
          }
        _wait_ms(1000);

        //Jalankan Motor DC1 berlawanan arah jarum jam (PWM 50%)
        S2=0;           //Motor DC1 : CCW
        for (i=0; i<100; i++)
          {
            S1=0;
            _wait_ms(5);    //Frekuensi : 200 Hz
            S1=1;
            _wait_ms(5);
          }
        _wait_ms(1000);
      }
}